%
% anyremote configuration file for ..... management. (Server-mode Bemused emulation)
% Prerequisites amixer/pactl utility, Bemused client installed on cell phone
%

% STATUS stable
% XTEST no
% SOUND mixer
% ENV no

GuiAppName=Bemused Template
GuiAppType=Example
GuiAppProtocols=Bemused
GuiAppDesc=Template configuration file for Bemused emulation.

[Protocol]=Bemused

(Init)=\
	Include($(CfgDir)/Utils/aliases-bemused.cfg);\
	Macro(SETUP_DEFAULT_MIXER);

(Connect)=Exec(echo "run app")

EXIT=Exec()  
FFWD=Exec() 
INF2=Send(string,INF2ACK);Send(bytes,128,0,0,0,128,0,0,0,1,0,0);Send(string,NoName);Send(bytes,0,0)
INFO=Send(string,INFOACK);Send(bytes,128,0,0,0,128,0,0,0,1,0,0);Send(string,NoName)
NEXT=Exec() 
PAUS=Exec() 
PLAY=Exec() 
PREV=Exec() 
RWND=Exec() 
STOP=Exec() 
VOLM($$)=Make(var,default_mixer_value,by_value,$(Param)%);Macro(DEFAULT_VOLUME_SET)

%GVOL=Send(string,GVOLNAK)
GVOL=Macro(DEFAULT_GVOL);
FADE=Macro(DEFAULT_FADE);
PLEN=Macro(DEFAULT_PLEN);
PLST=Macro(DEFAULT_PLST);

%REPT
%SHFL
%SEEK=
%SLCT=

[End]
